<?php
require('fpdf/fpdf.php');
include("../bd/sql_variables.php");

$db_conexion= mysql_connect("$sql_host", "$sql_usuario", "$sql_pass") or die(header ("No Disponible Servidor de Base de Datos"));
mysql_select_db("$sql_db");


$periodo=$_GET['periodo'];
$idtp=$_GET['idtp'];
$tcont=$_GET['tcont'];
$idj=$_GET['idj'];
$ids=$_GET['ids'];

//nombre de la jefatura
$sqljefatura = "select j_desc as nom from tb_jefatura where j_id='$idj'";
$resultjefatura = mysql_query($sqljefatura);
while ($rowj= mysql_fetch_array($resultjefatura)){
$nomjefatura = $rowj['nom']; 
}

//nombre de servicio
$sqlserv = "select s_desc as nom from tb_servicio where j_id='$idj' and s_id='$ids'";
$resultserv = mysql_query($sqlserv);
while ($rows= mysql_fetch_array($resultserv)){
$nomservicio = $rows['nom']; 
}

//descripcion del tipo del personal
if($idtp!=0){
$sqltp = "select tp_desc as descp from tb_tipoperson where tp_id='$idtp'";
$resulttp = mysql_query($sqltp);
while ($rowtp= mysql_fetch_array($resulttp)){
$descpersonal = $rowtp['descp']; 
}
}else{
$descpersonal =""; 
}

//descripcion del tipo de contrato
if($tcont!=0){
$sqltc = "SELECT tc_desccont as descp FROM tb_tipocont where tc_idcont='$tcont';";
$resulttc = mysql_query($sqltc);
while ($rowtc= mysql_fetch_array($resulttc)){
$desctipocont = $rowtc['descp']; 
}}else{
$desctipocont = "ESSALUD - CAS";
}

class PDF extends FPDF
{

function ImprimirTablaSinColorTitulo($data,$x, $y, $h, $w,$alig,$dibuja)
	{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
	        $this->Cell($w,$h,$data,$dibuja,0,$alig,$dib);
	}

function ImprimirTablaHorario($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig,$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
}

function ImprimirTablaPersonal($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->Cell($w[$j],$h,$data[$j],1,0,$alig[$j],$dib);
		//$dib = !$dib;
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

function ImprimirTablaFechas($data,$x, $y, $h, $w,$alig)
{
    $this->SetFillColor(224,200,255);
    $this->SetTextColor(0);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
	$this->SetXY($x,$y);
    //Datos
	$dib=false;
   		for($j=0;$j<count($w);$j++)
		{
        $this->MultiCell($w[$j],$h,$data[$j],1,$alig[$j],$dib);
		$x = $x + $w[$j];
		$this->SetXY($x,$y);
        }
		
}

}

if($tcont!=0 and $idtp!=0 ){
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, (select esp_desc from tb_especialidad ";
$sqllistado = $sqllistado." where ua_idespec=a.ua_idespec) as especialidad, date_format(b.ud_fechaing,'%d/%m/%Y') as fingreso, (select tc_abrev from tb_tipocont ";
$sqllistado = $sqllistado." where tc_idcont=a.tc_idcont) as tipocontrato, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tpersona from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids'  and b.tp_id='$idtp' and a.tc_idcont='$tcont' and (a.ua_estado= 1 or a.ua_estado= 2) order by nombre";
}elseif($tcont==0 and $idtp!=0){
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, (select esp_desc from tb_especialidad ";
$sqllistado = $sqllistado." where ua_idespec=a.ua_idespec) as especialidad, date_format(b.ud_fechaing,'%d/%m/%Y') as fingreso, (select tc_abrev from tb_tipocont ";
$sqllistado = $sqllistado." where tc_idcont=a.tc_idcont) as tipocontrato, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tpersona from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids'  and b.tp_id='$idtp' and (a.ua_estado= 1  or a.ua_estado= 2) order by nombre";
}elseif($tcont!=0 and $idtp==0){
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, (select esp_desc from tb_especialidad ";
$sqllistado = $sqllistado." where ua_idespec=a.ua_idespec) as especialidad, date_format(b.ud_fechaing,'%d/%m/%Y') as fingreso, (select tc_abrev from tb_tipocont ";
$sqllistado = $sqllistado." where tc_idcont=a.tc_idcont) as tipocontrato, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tpersona from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and a.tc_idcont='$tcont' and (a.ua_estado= 1  or a.ua_estado= 2) order by nombre";
}else{
$sqllistado = "select a.ua_numplanilla as numplan, a.ug_id as cod, concat(a.ua_apepat,' ',a.ua_apemat,' ',a.ua_nom) as nombre, (select esp_desc from tb_especialidad ";
$sqllistado = $sqllistado." where ua_idespec=a.ua_idespec) as especialidad, date_format(b.ud_fechaing,'%d/%m/%Y') as fingreso, (select tc_abrev from tb_tipocont ";
$sqllistado = $sqllistado." where tc_idcont=a.tc_idcont) as tipocontrato, (select tp_desc from tb_tipoperson where tp_id=b.tp_id) as tpersona from tb_usuasist a inner join tb_usudep b on ";
$sqllistado = $sqllistado." a.ug_id = b.ug_id where b.j_id='$idj' and b.s_id='$ids' and (a.ua_estado= 1  or a.ua_estado= 2) order by nombre";
}
//echo $sqllistado;
//aumentar  a.tc_idcont='3'
$resultlistado = mysql_query($sqllistado);
$sumap=0;


$ini = 25;
$sumat = 255;
$alturaX = 25;
$ha = 5.8;
$texto1 = "( ".$desctipocont." )";

$texto2 = "VACACIONES DEL PERSONAL ASISTENCIAL PERIODO: ".$periodo;

$pdf=new PDF(); // Crea un objeto de la clase fpdf()
$pdf->AddPage(); // Agrega una hoja al documento.
$pdf->SetFont('Helvetica','B',10); //Establece la fuente a utilizar, el formato Negrita y el tamaño

//La siguiente instrucción escribe el siguiente mensaje.
$pdf->Image('../img/logoincor.jpg', 10, 10, 45, 16,'jpg');
$pdf->Image('../img/logoessalud.jpg', 160, 12, 40, 11,'jpg');

$pdf->ImprimirTablaSinColorTitulo($nomjefatura,25,$ini,$ha,$sumat*0.65,'C',0);
$ini = $ini + $ha;
$pdf->ImprimirTablaSinColorTitulo($nomservicio,25,$ini,$ha,$sumat*0.65,'C',0);
$ini = $ini + $ha;
$pdf->ImprimirTablaSinColorTitulo($descpersonal,25,$ini,$ha,$sumat*0.65,'C',0);
$ini = $ini + $ha;
$pdf->ImprimirTablaSinColorTitulo($texto1,25,$ini,$ha,$sumat*0.65,'C',0);
$ini = $ini + $ha*1.4;
$pdf->ImprimirTablaSinColorTitulo($texto2,25,$ini,$ha,$sumat*0.65,'C',0);
$ini = $ini + $ha*1.4;

$pdf->SetFont('Arial','B',6.5);
						$subtitulo = array('COD. PLANILLA','APELLIDOS Y NOMBRES','FEC. INGRESO','FECHA DESCANSO FISICO','P','E','OBSERVACIONES');
						$wh= array($sumat*0.08,$sumat*0.24,$sumat*0.07,$sumat*0.13,$sumat*0.02,$sumat*0.02,$sumat*0.18);
						$pdf->ImprimirTablaHorario($subtitulo,13,$ini,$ha*1.5,$wh,'C');
						$ini = $ini + $ha*1.5;
	
	
while ($rowl= mysql_fetch_array($resultlistado)){
$codigo=$rowl['cod'];
$vacaprog=0;

$whlist= array($sumat*0.08,$sumat*0.24,$sumat*0.07);
$arraylist = array($rowl['numplan'],$rowl['nombre'], $rowl['fingreso']);
$alinea = array('C','L','C');
$pdf->ImprimirTablaPersonal($arraylist,13, $ini, $ha, $whlist,$alinea);
//$ini = $ini + $ha;

//vacaciones programadas
$sqlvacap="select v_id as id, concat(date_format(v_fechaini,'%d/%m/%Y'),' - ', date_format(v_fechafin,'%d/%m/%Y'),' (', v_numdias,')') ";
$sqlvacap=$sqlvacap." as dias, v_estado as estado from tb_vacaciones where ug_id='$codigo' and v_periodo='$periodo' and v_estado in (0,1) order by v_fechaini desc";

//echo $sqlvacap."<br>";
$tipo=0;
$vacaprog ="";
$arraydetprog ="";
$arraydeteje ="";
$resultlvacap = mysql_query($sqlvacap);
if(mysql_num_rows($resultlvacap)!=0){
while ($rowvp= mysql_fetch_array($resultlvacap)){
$vacaprog =$vacaprog.$rowvp['dias']."\n ";
if($rowvp['estado']==0){
$arraydetprog=$arraydetprog."X \n ";
$arraydeteje=$arraydeteje." \n ";
}else{
$arraydetprog=$arraydetprog." \n ";
$arraydeteje=$arraydeteje."X \n ";
}
}
//$numrow = mysql_num_rows($resultlvacap);
}else{
$vacaprog ="";
}///termina el if del else

$arrayvacaprog = array($vacaprog);
$arraydetprog = array($arraydetprog);
$arraydeteje = array($arraydeteje);
$alineaa = array('C');
$alineab = array('C');
$alineac = array('C');
$wha = array($sumat*0.13);
$whb = array($sumat*0.02);
$whc = array($sumat*0.02);
$movx = 13 + $sumat*0.08 + $sumat*0.24 + $sumat*0.07;


$pdf->ImprimirTablaFechas($arrayvacaprog,$movx, $ini, $ha, $wha,$alineaa);
$movx = $movx + $sumat*0.13;  
$pdf->ImprimirTablaFechas($arraydetprog,$movx, $ini, $ha, $whb,$alineab);
$movx = $movx + $sumat*0.02;  
$pdf->ImprimirTablaFechas($arraydeteje,$movx, $ini, $ha, $whc,$alineac);

//observaciones
$movx = $movx + $sumat*0.02;
$whax= array($sumat*0.18);
$arrayobs = array("");
$alineax = array('C');
$pdf->ImprimirTablaPersonal($arrayobs,$movx, $ini, $ha, $whax,$alineax);

$ini = $ini + $ha;

}
$pdf->Output();
?>
